<?php

declare(strict_types=1);

namespace {{ namespace }};

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use {{ resource.className }};

class {{ controllerName }} extends AbstractController
{
    // ===== details routes ============================================================================================

    {% for pathName, pathSettings in resource.config.details %}

    /**
    * {{ pathName }} of {{ resource.shortName }}
    * @Route("{{ pathSettings.path }}", name="{{ routePrefix }}{{ resource.id }}_{{ pathName }}", methods={"{{ pathSettings.method }}"})
    */
    public function {{ pathName }}({{ resource.shortName }} $resource): Response
    {
        return $this->json($resource);
    }

    {% endfor %}

    // ===== grid routes ===============================================================================================

    {% for pathName, pathSettings in resource.config.lists %}

    /**
    * {{ pathName }} of {{ resource.shortName }}
    * @Route("{{ pathSettings.path }}", name="{{ routePrefix }}{{ resource.id }}_{{ pathName }}", methods={"{{ pathSettings.method }}"})
    */
    public function {{ pathName }}(): Response
    {
        $resources = [];
        return $this->json($resources);
    }

    {% endfor %}

    // ===== custom routes =============================================================================================

}
